
Conversion Tools - Feature #1695

Feature # 1692 (New): optimize/rewrite common expression idioms

evaluate certain constant expressions at conversion time

10/23/2012 06:58 PM - Eric Faulhaber

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 8.00 hours

Target version: Converted Code Improvements -

Deduplication

  

billable: No vendor_id: GCD

Description

History

#1 - 10/23/2012 07:01 PM - Eric Faulhaber

Examples:

array dereferencing:  constant array indices can be decremented by 1 instead of written as an expression

arithmetic expressions:  3 + 1 * 2 would be converted to the literal 8

string concatenation:  "Hello " + "World" would be converted to "Hello World"

#2 - 10/31/2012 03:50 PM - Greg Shah

- Target version set to Code Improvements

#3 - 11/16/2016 12:47 PM - Greg Shah

- Target version changed from Code Improvements to Converted Code Improvements - Deduplication
